On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsThe ID of the subscription.
The media type. Required for operations with a request body. The value is application/<format>, where the format is json.
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/billing/plans/string" \ -H "Content-Type: string"{
"id": "stringstringstringstringst",
"product_id": "stringstringstringstri",
"name": "string",
"status": "CREATED",
"description": "string",
"billing_cycles": [
{
"pricing_scheme": {
"version": 0,
"fixed_price": {
"currency_code": "str",
"value": "string"
},
"pricing_model": "VOLUME",
"tiers": [
{
"starting_quantity": "string",
"ending_quantity": "string",
"amount": {
"currency_code": "str",
"value": "string"
}
}
],
"create_time": "stringstringstringst",
"update_time": "stringstringstringst"
},
"frequency": {
"interval_unit": "DAY",
"interval_count": 1
},
"tenure_type": "REGULAR",
"sequence": 1,
"total_cycles": 1
}
],
"payment_preferences": {
"auto_bill_outstanding": true,
"setup_fee": {
"currency_code": "str",
"value": "string"
},
"setup_fee_failure_action": "CONTINUE",
"payment_failure_threshold": 0
},
"merchant_preferences": {
"return_url": "http://example.com",
"cancel_url": "http://example.com"
},
"taxes": {
"percentage": "string",
"inclusive": true
},
"quantity_supported": false,
"create_time": "stringstringstringst",
"update_time": "stringstringstringst",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "AUTHENTICATION_FAILURE",
"message": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_ACCOUNT_STATUS",
"description": "Account validations failed for the user."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"debug_id": "string",
"links": [],
"details": [
{
"issue": "INVALID_RESOURCE_ID",
"description": "Specified resource ID does not exist. Please check the resource ID and try again."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"debug_id": "string",
"links": []
}